aws-0.24.2: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.PutObject

# Documentation

data PutObject #

Constructors

PutObject |

Fields

- poObjectName :: Text
- poBucket :: Bucket
- poContentType :: Maybe ByteString
- poCacheControl :: Maybe Text
- poContentDisposition :: Maybe Text
- poContentEncoding :: Maybe Text
- poContentMD5 :: Maybe (Digest MD5)
- poExpires :: Maybe Int
- poAcl :: Maybe CannedAcl
- poStorageClass :: Maybe StorageClass
- poWebsiteRedirectLocation :: Maybe Text
- poServerSideEncryption :: Maybe ServerSideEncryption
- poRequestBody :: RequestBody
- poMetadata :: [(Text, Text)]
- poAutoMakeBucket :: Bool

  Internet Archive S3 nonstandard extension

- poExpect100Continue :: Bool

  Note: Requires http-client >= 0.4.10

#### Instances

Instances details

SignQuery PutObject # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.PutObject

Associated Types

type ServiceConfiguration PutObject |
Instance details Defined in Aws.S3.Commands.PutObject type ServiceConfiguration PutObject = S3Configuration

Methods

signQuery :: PutObject -> ServiceConfiguration PutObject queryType -> SignatureData -> SignedQuery #

ResponseConsumer PutObject PutObjectResponse # |

Instance details

Defined in Aws.S3.Commands.PutObject

Associated Types

type ResponseMetadata PutObjectResponse |
Instance details Defined in Aws.S3.Commands.PutObject type ResponseMetadata PutObjectResponse = S3Metadata

Methods

responseConsumer :: Request -> PutObject -> IORef (ResponseMetadata PutObjectResponse) -> HTTPResponseConsumer PutObjectResponse #

Transaction PutObject PutObjectResponse # |
Instance details Defined in Aws.S3.Commands.PutObject
type ServiceConfiguration PutObject # |
Instance details Defined in Aws.S3.Commands.PutObject type ServiceConfiguration PutObject = S3Configuration

putObject :: Bucket -> Text -> RequestBody -> PutObject #

data PutObjectResponse #

Constructors

PutObjectResponse |

Fields

- porVersionId :: Maybe Text
- porETag :: Text

#### Instances

Instances details

AsMemoryResponse PutObjectResponse # |

Instance details

Defined in Aws.S3.Commands.PutObject

Associated Types

type MemoryResponse PutObjectResponse |
Instance details Defined in Aws.S3.Commands.PutObject type MemoryResponse PutObjectResponse = PutObjectResponse

Methods

loadToMemory :: PutObjectResponse -> ResourceT IO (MemoryResponse PutObjectResponse) #

Show PutObjectResponse # |
Instance details Defined in Aws.S3.Commands.PutObject Methods showsPrec :: Int -> PutObjectResponse -> ShowS # show :: PutObjectResponse -> String # showList :: [PutObjectResponse] -> ShowS #
ResponseConsumer PutObject PutObjectResponse # |

Instance details

Defined in Aws.S3.Commands.PutObject

Associated Types

type ResponseMetadata PutObjectResponse |
Instance details Defined in Aws.S3.Commands.PutObject type ResponseMetadata PutObjectResponse = S3Metadata

Methods

responseConsumer :: Request -> PutObject -> IORef (ResponseMetadata PutObjectResponse) -> HTTPResponseConsumer PutObjectResponse #

Transaction PutObject PutObjectResponse # |
Instance details Defined in Aws.S3.Commands.PutObject
type MemoryResponse PutObjectResponse # |
Instance details Defined in Aws.S3.Commands.PutObject type MemoryResponse PutObjectResponse = PutObjectResponse
type ResponseMetadata PutObjectResponse # |
Instance details Defined in Aws.S3.Commands.PutObject type ResponseMetadata PutObjectResponse = S3Metadata